## visad
Interface Thing

All Known Subinterfaces:
  Data, EarthLocation, Field, FlatFieldIface, Function, Gridded1DSetIface, GriddedSetIface, ImageSequence, LatLonPoint, NamedLocation, NavigatedField, RealIface, RealTupleIface, RemoteClientData, RemoteClientField, RemoteClientPartitionedField, RemoteClientTuple, RemoteClusterData, RemoteData, RemoteField, RemoteFlatField, RemoteFunction, RemoteNodeData, RemoteNodeField, RemoteNodePartitionedField, RemoteNodeTuple, RemoteThing, RemoteTupleIface, SampledSetIface, SatelliteData, ScalarIface, SetIface, SimpleSetIface, SingleBandedImage, TupleIface

All Known Implementing Classes:
  DataImpl, EarthLocationTuple, FieldImpl, FlatField, FunctionImpl, Gridded1DSet, GriddedSet, ImageSequenceImpl, LatLonTuple, NamedLocationTuple, NavigatedImage, Real, RealTuple, RemoteClientDataImpl, RemoteClientFieldImpl, RemoteClientPartitionedFieldImpl, RemoteClientTupleImpl, RemoteClusterDataImpl, RemoteDataImpl, RemoteFieldImpl, RemoteFlatFieldImpl, RemoteFunctionImpl, RemoteNodeDataImpl, RemoteNodeFieldImpl, RemoteNodePartitionedFieldImpl, RemoteNodeTupleImpl, RemoteThingImpl, SampledSet, SatelliteImage, Scalar, Set, SimpleSet, SingleBandedImageImpl, ThingImpl, Tuple

public interface Thing

Thing is the top-level interface for objects that send ThingChangedEvents to Actions.

Method Summary
`void` `addReference(ThingReference r)` add a ThingReference to this Thing object
`void` `removeReference(ThingReference r)` remove a ThingReference from this Thing object

Method Detail

### addReference

    public void addReference(ThingReference r)
                      throws VisADException,
                             RemoteException

  add a ThingReference to this Thing object

  Throws:
    `VisADException`
    `RemoteException`

### removeReference

    public void removeReference(ThingReference r)
                         throws VisADException,
                                RemoteException

  remove a ThingReference from this Thing object

  Throws:
    `VisADException`
    `RemoteException`